Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.ticket
Enum WorkflowOpsV2.MethodName

    java.lang.Object
      java.lang.Enum<WorkflowOpsV2.MethodName>
          com.bea.content.spi.flexspi.ticket.WorkflowOpsV2.MethodName

All Implemented Interfaces
  Serializable, Comparable<WorkflowOpsV2.MethodName>

Enclosing interface:
  WorkflowOpsV2

    public static enum WorkflowOpsV2.MethodName

extends Enum<WorkflowOpsV2.MethodName>

Enum Constant Summary
`addWorkflow`
`canAccessWorkflow`
`deleteWorkflow`
`getAllWorkflows`
`getDefaultWorkflow`
`getNativeFilterableProperties`
`getNativeSortableProperties`
`getNodeIDsForWorkflow`
`getTypeIDsForWorkflow`
`getWorkflowDocument`
`getWorkflowForNode`
`getWorkflowForType`
`getWorkflowWithId`
`getWorkflowWithName`
`setDefaultWorkflow`
`setNodeWorkflow`
`setTypeWorkflow`
`updateWorkflowDocument`
`updateWorkflowMetaData`

Method Summary
`static WorkflowOpsV2.MethodName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorkflowOpsV2.MethodName[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### addWorkflow

    public static final WorkflowOpsV2.MethodName addWorkflow

### deleteWorkflow

    public static final WorkflowOpsV2.MethodName deleteWorkflow

### getAllWorkflows

    public static final WorkflowOpsV2.MethodName getAllWorkflows

### getDefaultWorkflow

    public static final WorkflowOpsV2.MethodName getDefaultWorkflow

### getNativeFilterableProperties

    public static final WorkflowOpsV2.MethodName getNativeFilterableProperties

### getNativeSortableProperties

    public static final WorkflowOpsV2.MethodName getNativeSortableProperties

### getNodeIDsForWorkflow

    public static final WorkflowOpsV2.MethodName getNodeIDsForWorkflow

### getTypeIDsForWorkflow

    public static final WorkflowOpsV2.MethodName getTypeIDsForWorkflow

### getWorkflowDocument

    public static final WorkflowOpsV2.MethodName getWorkflowDocument

### getWorkflowForNode

    public static final WorkflowOpsV2.MethodName getWorkflowForNode

### getWorkflowForType

    public static final WorkflowOpsV2.MethodName getWorkflowForType

### getWorkflowWithId

    public static final WorkflowOpsV2.MethodName getWorkflowWithId

### getWorkflowWithName

    public static final WorkflowOpsV2.MethodName getWorkflowWithName

### setDefaultWorkflow

    public static final WorkflowOpsV2.MethodName setDefaultWorkflow

### setNodeWorkflow

    public static final WorkflowOpsV2.MethodName setNodeWorkflow

### setTypeWorkflow

    public static final WorkflowOpsV2.MethodName setTypeWorkflow

### updateWorkflowDocument

    public static final WorkflowOpsV2.MethodName updateWorkflowDocument

### updateWorkflowMetaData

    public static final WorkflowOpsV2.MethodName updateWorkflowMetaData

### canAccessWorkflow

    public static final WorkflowOpsV2.MethodName canAccessWorkflow

Method Detail

### values

    public static final WorkflowOpsV2.MethodName[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static WorkflowOpsV2.MethodName valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.